Refund a paymentAsk AIpost https://api.staging.payrails.io/merchant/workflows/{workflowCode}/executions/{executionId}/refundRequest a payment refund during a workflow execution.Path ParamsworkflowCodestringrequiredPath parameter to specify the workflow code.executionIduuidrequiredIdentifier of the resource in Payrails.Body ParamsamountobjectThe amount to refund, including currency. Full amount will be refunded if not specified.amount objectreasonstringenumReason for invoking the operation or action.DuplicateBetterPriceCustomerDontNeedDamagedProductDuplicateFraudulentProductLateDeliveryNoReasonProductMismatchDescriptionWrongProductWrongProductSpecificationShow 10 enum valuesreasonDescriptionstringAn optional field to include any necessary information for the refund action.paymentIduuidOptionally the ID of the payment to refund. Used for payment links where an execution can have multiple successful payments. If not specified, the most recent payment done using the payment link will be refunded.metaobjectMetadata for the context of an execution. Includes Payrails-defined structures for most common fields used in workflows, but can also be extended by merchant or provider-specific fields. For more information, visit our Meta Fields guide.meta objectHeadersx-idempotency-keyuuidrequiredIdempotency key to be used. Sending again the same key would return the same result without re-executing the update.Responses 202The payment refund was requested. 400Bad Request. 401Unauthorized. 403Insufficient Scope. 404Not Found. 429Too Many Requests.Updated 11 months ago